<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>F-Index</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="F-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;<a name="_F_">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.html#fetchFromFile(fr.inria.alpage.frmgcm.utils.Utils.URI)">fetchFromFile(Utils.URI)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.html" title="class in fr.inria.alpage.frmgcm.utils">Utils</a></dt>
<dd>
<div class="block">Retrieve the string content of file</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.html#fetchFromURL(fr.inria.alpage.frmgcm.utils.Utils.URI)">fetchFromURL(Utils.URI)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.html" title="class in fr.inria.alpage.frmgcm.utils">Utils</a></dt>
<dd>
<div class="block">Retrieve the string content of a file located at some url</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#fetchRemoteData()">fetchRemoteData()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>
<div class="block">Retrieve the data that is to be found at the uri location defined for this graph revision</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/tools/Import.html#fetchRevisions()">fetchRevisions()</a></span> - Method in class fr.inria.alpage.frmgcm.tools.<a href="../fr/inria/alpage/frmgcm/tools/Import.html" title="class in fr.inria.alpage.frmgcm.tools">Import</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#filerelativepath">filerelativepath</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">The relative file path of the document within the valid converted document folder of the corpus</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#FillBuff()">FillBuff()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#filter()">filter()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html#filters">filters</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html#format">format</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.MapReduceIndexFiles</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#format">format</a></span> - Variable in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">The format of the graph, see <a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><code>AbstractGraph</code></a> for available formats</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html#formatInfo">formatInfo</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.MapReduceIndexFiles</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#formatResult(com.mongodb.BasicDBList,%20int,%20int,%20int,%20float)">formatResult(BasicDBList, int, int, int, float)</a></span> - Static method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#formatResults(com.mongodb.BasicDBList)">formatResults(BasicDBList)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">Removed costly or unused data from elasticsearch query result</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#formats">formats</a></span> - Static variable in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></dt>
<dd>
<div class="block">static informations about available formats (file extension, class helper and name)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#formats">formats</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">The formats of the graphs contained in this collection</div>
</dd>
<dt><a href="../fr/inria/alpage/cpm/task/package-summary.html">fr.inria.alpage.cpm.task</a> - package fr.inria.alpage.cpm.task</dt>
<dd>
<div class="block">This package encompass classes related to task processing.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/package-summary.html">fr.inria.alpage.frmgcm</a> - package fr.inria.alpage.frmgcm</dt>
<dd>
<div class="block">This package contains the main entry point of the application and the global configuration.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a> - package fr.inria.alpage.frmgcm.corpus</dt>
<dd>
<div class="block">This package contains model definition.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/format/package-summary.html">fr.inria.alpage.frmgcm.corpus.format</a> - package fr.inria.alpage.frmgcm.corpus.format</dt>
<dd>
<div class="block">This package contains the graph format definitions</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/db/package-summary.html">fr.inria.alpage.frmgcm.db</a> - package fr.inria.alpage.frmgcm.db</dt>
<dd>
<div class="block">This package contains db related operations</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/dpp/package-summary.html">fr.inria.alpage.frmgcm.dpp</a> - package fr.inria.alpage.frmgcm.dpp</dt>
<dd>
<div class="block">This package contains generated classes used for parsing dpath language.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/gm/package-summary.html">fr.inria.alpage.frmgcm.gm</a> - package fr.inria.alpage.frmgcm.gm</dt>
<dd>
<div class="block">This package contains classes handling graph related operations.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/search/package-summary.html">fr.inria.alpage.frmgcm.search</a> - package fr.inria.alpage.frmgcm.search</dt>
<dd>
<div class="block">This package encompass the classes handling search operations over elasticsearch index using dpath query language.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a> - package fr.inria.alpage.frmgcm.server</dt>
<dd>
<div class="block">This package contains the classes defining the server(s) run by the application.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/services/package-summary.html">fr.inria.alpage.frmgcm.services</a> - package fr.inria.alpage.frmgcm.services</dt>
<dd>
<div class="block">This package contains classes defining service endpoints reachable via the http server run by the application.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/tools/package-summary.html">fr.inria.alpage.frmgcm.tools</a> - package fr.inria.alpage.frmgcm.tools</dt>
<dd>
<div class="block">This package contains unrelated entry points (scripts) using the application code as library.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a> - package fr.inria.alpage.frmgcm.utils</dt>
<dd>
<div class="block">This package contains some utility classes.</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">FRMGCMRequestHandler</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></dt>
<dd>
<div class="block">Handle HTTP request as a webservice
 Services :
 - GET :
    - corpus => list all corpus
    - corpus/id => return corpus with id = id
    - corpus/id/status => return corpus status
    - corpus/id/document => return corpus document list
    - corpus/id/document/id => return doc
    - corpus/id/document/id/annotated => return annotated doc
    - corpus/id/document/id/sentence/id => return graph
 - POST :
    - process + <json info></div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#FRMGCMRequestHandler()">FRMGCMRequestHandler()</a></span> - Constructor for class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMRequestHandler</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">FRMGCMService</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></dt>
<dd>
<div class="block">Abstract service that are used to separate the different webservice depending on the url path</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/FRMGCMService.html#FRMGCMService(java.lang.String)">FRMGCMService(String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMService</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#frmgparserproxyurl">frmgparserproxyurl</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">FRMGWebSocketServer</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></dt>
<dd>
<div class="block">A simple WebSocketServer implementation.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#FRMGWebSocketServer(int)">FRMGWebSocketServer(int)</a></span> - Constructor for class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html" title="class in fr.inria.alpage.frmgcm.server">FRMGWebSocketServer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#FRMGWebSocketServer(java.net.InetSocketAddress)">FRMGWebSocketServer(InetSocketAddress)</a></span> - Constructor for class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html" title="class in fr.inria.alpage.frmgcm.server">FRMGWebSocketServer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html#fromResult">fromResult</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html#fullTextSearch(java.lang.String,%20com.mongodb.BasicDBList)">fullTextSearch(String, BasicDBList)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMCall.html#function">function</a></span> - Variable in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMCall.html" title="class in fr.inria.alpage.cpm.task">CPMCall</a></dt>
<dd>
<div class="block">Method name to be called (belongs to the class <a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Corpus</code></a></div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#function">function</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></dt>
<dd>
<div class="block">Associated function to this search unit</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
